dialog-box {
    position: fixed;
    top: 0;
    left: 0;
    z-index: 10;
}
dialog-box.modal::before {
    content: "";
    background-color: rgba(50,50,50,0.5);
    width: 100%;
    height: 100%;
    position: fixed;
}
.dialog {
    position: absolute;
    box-shadow: 0 0 3em 0 rgba(0,0,0,0.5);
    top: 0;
    left: 0;
}